Page MenuHomePhabricator

Remove usergroup communityapps from officewiki
Closed, ResolvedPublic

Description

This usergroup seems to be unused for years, and I cannot find any indication of what it originally was used for.
Let's remove it, to clean things up.

https://codesearch.wmflabs.org/search/?q=communityapps&i=nope&files=&repos=
https://office.wikimedia.org/w/index.php?title=Special:ListUsers&group=communityapps
(and no useful search results in mw.o, phab, metawiki, or officewiki)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove usergroup communityapps from officewiki

Event Timeline

Quiddity created this task.Jul 10 2019, 4:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 4:37 PM
Urbanecm claimed this task.Jul 10 2019, 4:37 PM
Urbanecm added a subscriber: Urbanecm.

Why not, please make sure no user is in that group. Thanks!

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 10 2019, 4:37 PM
Urbanecm triaged this task as Low priority.Jul 10 2019, 4:38 PM

I've removed the 4 ex-staff that were in the group. It is now completely unused. Thanks!

Change 521933 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove usergroup communityapps from officewiki

https://gerrit.wikimedia.org/r/521933

Thanks, can confirm that.

wikiadmin@10.64.32.136(officewiki)> select * from user_groups where ug_group="communityapps";
Empty set (0.00 sec)
wikiadmin@10.64.32.136(officewiki)>
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jul 10 2019, 7:52 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 521933 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove usergroup communityapps from officewiki

https://gerrit.wikimedia.org/r/521933

Mentioned in SAL (#wikimedia-operations) [2019-07-11T11:22:19Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:521933|Remove usergroup communityapps from officewiki]] (T227680) (duration: 01m 02s)

Urbanecm closed this task as Resolved.Jul 11 2019, 11:23 AM

Should be done. Don't have officewiki access, so if this isn't done (while it should), please reopen and comment.

Confirmed good. Thank you!

Confirmed good. Thank you!

You're welcome! Happy to help!